Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class StrutsVariableResolver

    java.lang.Object
      javax.faces.el.VariableResolver
          org.apache.struts2.jsf.StrutsVariableResolver

    public class StrutsVariableResolver

extends javax.faces.el.VariableResolver

Will return a reference to the current action if the action name matches the requested variable name. Otherwise it will attempt to resolve the name from the value stack. Otherwise it will delegate to the original jsf resolver.

Constructor Summary
`StrutsVariableResolver(javax.faces.el.VariableResolver original)` Constructor

Method Summary
`java.lang.Object` | `resolveVariable(javax.faces.context.FacesContext context, java.lang.String name)` Will return a reference to the current action if the action name matches the requested variable name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsVariableResolver

    public StrutsVariableResolver(javax.faces.el.VariableResolver original)

  Constructor

  Parameters:
    `original` - Original resolver to delegate to.

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(javax.faces.context.FacesContext context,
                                            java.lang.String name)
                                     throws javax.faces.el.EvaluationException

  Will return a reference to the current action if the action name matches the requested variable name. Otherwise it will attempt to resolve the name from the value stack. Otherwise it will delegate to the original jsf resolver.

  Specified by:
    `resolveVariable` in class `javax.faces.el.VariableResolver`
  Parameters:
    `name` - Variable name to be resolved
  Throws:
    `javax.faces.el.EvaluationException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.